## python-pymbar 4.0.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/pymbar.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/pymbar.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/pymbar"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/pymbar"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pymbar 3.1.0

=== debian/changelog ===
python-pymbar (3.1.0-4) unstable; urgency=medium

  * Team upload.

  [ Bas Couwenberg ]
  * Add gbp.conf to use pristine-tar & --source-only-changes by default.
  * Add patch to fix test failure with Numpy 1.24.
    (closes: #1027217)

  [ Étienne Mollier ]
  * Update standards version to 4.6.2, no changes needed.

 -- Étienne Mollier <emollier@debian.org>  Wed, 01 Feb 2023 21:30:52 +0100

python-pymbar (3.1.0-3) unstable; urgency=medium

  * Add bibliographic reference.

 -- Andrius Merkys <merkys@debian.org>  Thu, 27 Oct 2022 02:23:36 -0400

python-pymbar (3.1.0-2) unstable; urgency=medium

  * Fill in missing license holders.

 -- Andrius Merkys <merkys@debian.org>  Fri, 21 Oct 2022 10:06:38 -0400

python-pymbar (3.1.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1020896)

 -- Andrius Merkys <merkys@debian.org>  Wed, 28 Sep 2022 02:06:54 -0400

=== debian/control ===
Source: python-pymbar
Section: science
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dh-sequence-python3,
 python3-all,
 python3-numpy,
 python3-pytest <!nocheck>,
 python3-scipy <!nocheck>,
 python3-setuptools,
 python3-six,
Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.2
Homepage: https://simtk.org/home/pymbar
Vcs-Browser: https://salsa.debian.org/science-team/python-pymbar
Vcs-Git: https://salsa.debian.org/science-team/python-pymbar.git

Package: python3-pymbar
Architecture: all
Depends:
 python3-numpy,
 python3-scipy,
 python3-six,
 ${misc:Depends},
 ${python3:Depends},
Description: Python implementation of the multistate Bennett acceptance ratio (MBAR)
 Pymbar is a library that provides tools for optimally combining simulations
 from multiple thermodynamic states using maximum likelihood methods to compute
 free energies (normalization constants) and expectation values from all of the
 samples simultaneously.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pymbar

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_auto_test:
	dh_auto_test -- --test-pytest

override_dh_auto_install:
	dh_auto_install
	rm -r debian/python3-$(PYBUILD_NAME)/usr/pymbar

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pymbar.egg-info

## python-pymbar 4.0.3

=== debian/changelog ===
python-pymbar (4.0.3-2) unstable; urgency=medium

  * Team upload.
  * Simplify build to avoid FTBFS.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 19:19:06 +0200

python-pymbar (4.0.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * Remove old patch
  * Remove obsolete dependency on python3-six (Closes: #1070368)
  * Add new python3-numexpr build dependency

 -- Alexandre Detiste <tchet@debian.org>  Sat, 29 Jun 2024 18:25:36 +0200

=== debian/control ===
--- 
+++ 
@@ -7,16 +7,15 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
  dh-sequence-python3,
  python3-all,
+ python3-numexpr,
  python3-numpy,
  python3-pytest <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
- python3-six,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://simtk.org/home/pymbar
 Vcs-Browser: https://salsa.debian.org/science-team/python-pymbar
 Vcs-Git: https://salsa.debian.org/science-team/python-pymbar.git
@@ -26,7 +25,6 @@
 Depends:
  python3-numpy,
  python3-scipy,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
 Description: Python implementation of the multistate Bennett acceptance ratio (MBAR)
@@ -34,5 +32,3 @@
  from multiple thermodynamic states using maximum likelihood methods to compute
  free energies (normalization constants) and expectation values from all of the
  samples simultaneously.
- .
- This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pymbar

%:
	dh $@ --buildsystem pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pymbar.egg-info

=== debian/tests/control ===
Test-Command: rm pymbar/*.py && pytest-3
Depends:
 python3-pytest,
 @,
Restrictions:
 rw-build-tree,

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/(\d\S+)\.tar\.gz/pymbar-$1\.tar\.gz/ https://github.com/choderalab/pymbar/tags .*\/(\d\S+)\.tar\.gz

## python-pymbar 4.2.0

=== debian/changelog ===
python-pymbar (4.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 4.2.0
  * switch to pybuild-plugin-pyproject
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop "Rules-Requires-Root: no": it is the default now
  * Rewrite d/rules with newer & shorter syntax
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Feb 2026 20:26:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: python-pymbar
 Section: science
-Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders:
  Andrius Merkys <merkys@debian.org>,
-Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-numexpr,
  python3-numpy,
@@ -15,7 +14,7 @@
  python3-scipy <!nocheck>,
  python3-setuptools,
 Testsuite: autopkgtest-pkg-python
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://simtk.org/home/pymbar
 Vcs-Browser: https://salsa.debian.org/science-team/python-pymbar
 Vcs-Git: https://salsa.debian.org/science-team/python-pymbar.git

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = pymbar

%:
	dh $@ --buildsystem pybuild

execute_after_dh_auto_clean:
	rm -rf pymbar.egg-info

=== debian/watch ===
Version: 5

Template: GitHub
Owner: choderalab
Project: pymbar
